sensorfw: HumiditySensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
HumiditySensorChannel Class Reference

Sensor for accessing the relative humidity sensor measurements. More...

`#include <humiditysensor.h>`

Inheritance diagram for HumiditySensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | relativeHumidityChanged (const Unsigned &value)
| Sent when a change in measured data is observed. More...

## Public Member Functions
Unsigned | relativeHumidity () const
| Property for accessing the measured value. More...

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for HumiditySensorChannel. More...

## Protected Member Functions
| HumiditySensorChannel (const QString &id)
virtual | ~HumiditySensorChannel ()

## Properties
Unsigned | relativeHumidity

## Detailed Description

Sensor for accessing the relative humidity sensor measurements.

Signals listeners whenever observed relative humidity level has changed.

Definition at line 48 of file humiditysensor.h.

## Constructor & Destructor Documentation

## ◆ HumiditySensorChannel()

HumiditySensorChannel::HumiditySensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~HumiditySensorChannel()

virtual HumiditySensorChannel::~HumiditySensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ factoryMethod()

static AbstractSensorChannel * HumiditySensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for HumiditySensorChannel.

Returns
  New HumiditySensorChannel as AbstractSensorChannel*

Definition at line 60 of file humiditysensor.h.

## ◆ relativeHumidity()

Unsigned HumiditySensorChannel::relativeHumidity | ( |  | ) | const
| inline

Property for accessing the measured value.

Returns
  Last measured value.

Definition at line 72 of file humiditysensor.h.

## ◆ relativeHumidityChanged

void HumiditySensorChannel::relativeHumidityChanged | ( | const Unsigned & | value | ) |
| signal

Sent when a change in measured data is observed.

Parameters

  value | Measured value.

## ◆ start

bool HumiditySensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool HumiditySensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ relativeHumidity

Unsigned HumiditySensorChannel::relativeHumidity
| read

Definition at line 1 of file humiditysensor.h.

The documentation for this class was generated from the following file:

- sensors/humiditysensor/humiditysensor.h